package com.swago.baseswago.baseroom

/**
 *@date 2021/10/3 10:54
 *description:
 */
interface IRoomInfo {

    fun getAnchorName():String
    fun getAnchorId():String
    fun getAnchorCode():String
    fun getAnchorType():Int
    fun getRoomId():String
    fun getRoomGroupId():String
    fun getAgoraToken():String
    fun getRoomCover():String
    fun getChannelName():String
    fun getRoomHot():String
    fun getIsFollow():Int
    fun getRoomIncome():String
    fun getGameUrl():String
    fun getGameApiBaseUrl():String
    fun getGameType():Int
    fun getGameVersion():Int
    fun getGameDownLoadUrl():String
    fun getRoomSystemMsg():String
    fun getIsRobot():Boolean

}